Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.AttachToQueryOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.AttachToQuery`, `ClientWireProtocol.AttachToQuery.Builder`

Enclosing class:
  `ClientWireProtocol`

public static interface ClientWireProtocol.AttachToQueryOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getQueryId()`
This is the UUID of the query in string form (e.g.
`com.google.protobuf.ByteString`
`getQueryIdBytes()`
This is the UUID of the query in string form (e.g.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getQueryId

String getQueryId()

     This is the UUID of the query in string form (e.g. 123e4567-e89b-12d3-a456-426655440000)

`string queryId = 1;`

Returns:
  The queryId.

### getQueryIdBytes

com.google.protobuf.ByteString getQueryIdBytes()

     This is the UUID of the query in string form (e.g. 123e4567-e89b-12d3-a456-426655440000)

`string queryId = 1;`

Returns:
  The bytes for queryId.